# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: Implementing custom LLM provider in JavaScript

prompts:
  - file://prompts.txt

providers:
  - id: file://customProvider.cjs
    label: 'My custom provider'

tests: file://vars.csv
# To compare two of the same provider, you can do the following:
#
# providers:
#   - id: customProvider.js
#     label: custom-provider-hightemp
#     config:
#       temperature: 1.0
#   - id: customProvider.js
#     label: custom-provider-lowtemp
#     config:
#       temperature: 0
